# RPM spec file for FFTW.
# This file is used to build Redhat Package Manager packages for the
# FFTW library.  Such packages make it easy to install and uninstall
# the library and related files from binaries or source.
#
# This spec file is for version 2.1.1 of FFTW, and will need to be
# modified for future releases.  First, the string "2.1.1" should
# be replaced everywhere in this file with the new version number.
# Second, the shared library version numbers (in the %files list)
# will need to be updated.  Any other changes in the installed files
# list, build commands, etcetera will of course also require changes.
#
# The icon associated with this package can be downloaded from:
#     http://theory.lcs.mit.edu/~fftw/fftw-logo-thumb.gif
# and will need to be placed in the SOURCES directory to build the RPM.
#
Name: fftw
Summary: fast fourier transform library
Version: 2.1.1
Release: 1
Copyright: GPL
Icon: fftw-logo-thumb.gif
Group: Libraries
Prefix: /usr/local
Source: ftp://theory.lcs.mit.edu/pub/fftw/fftw-2.1.1.tar.gz
URL: http://theory.lcs.mit.edu/~fftw
%description
FFTW is a collection of fast C routines for computing the Discrete Fourier
Transform in one or more dimensions.  It includes complex, real, and
parallel transforms, and can handle arbitrary array sizes efficiently.
This RPM package includes both the double- and single-precision FFTW
uniprocessor and threads libraries.
%package devel
Summary: headers, libraries, & docs for FFTW fast fourier transform library
Group: Development/Libraries
Prefix: /usr/local
Requires: fftw = 2.1.1-1
%description devel
This package contains the additional header files, documentation, and
libraries you need to develop programs using the FFTW fast fourier
transform library.
%prep
%setup

%ifarch i386
./configure --enable-shared --enable-type-prefix --enable-i386-hacks --enable-threads
%else
./configure --enable-shared --enable-type-prefix --enable-threads
%endif

%build

make

%install

make install

# hack to also compile/install single-precision version:
make distclean
./configure --enable-shared --enable-type-prefix --enable-threads --enable-float
make
make install

%files
/usr/local/lib/libdfftw.so.2.0.3
/usr/local/lib/libdfftw_threads.so.2.0.3
/usr/local/lib/libdrfftw.so.2.0.3
/usr/local/lib/libdrfftw_threads.so.2.0.3
/usr/local/lib/libsfftw.so.2.0.3
/usr/local/lib/libsfftw_threads.so.2.0.3
/usr/local/lib/libsrfftw.so.2.0.3
/usr/local/lib/libsrfftw_threads.so.2.0.3
/usr/local/lib/libdfftw.so.2
/usr/local/lib/libdfftw_threads.so.2
/usr/local/lib/libdrfftw.so.2
/usr/local/lib/libdrfftw_threads.so.2
/usr/local/lib/libsfftw.so.2
/usr/local/lib/libsfftw_threads.so.2
/usr/local/lib/libsrfftw.so.2
/usr/local/lib/libsrfftw_threads.so.2
%files devel
/usr/local/include/dfftw.h
/usr/local/include/dfftw_threads.h
/usr/local/include/drfftw.h
/usr/local/include/drfftw_threads.h
/usr/local/include/sfftw.h
/usr/local/include/sfftw_threads.h
/usr/local/include/srfftw.h
/usr/local/include/srfftw_threads.h
/usr/local/info/fftw.info
/usr/local/info/fftw.info-1
/usr/local/info/fftw.info-2
/usr/local/info/fftw.info-3
/usr/local/info/fftw.info-4
/usr/local/info/fftw.info-5
/usr/local/lib/libdfftw.a
/usr/local/lib/libdfftw.la
/usr/local/lib/libdfftw.so
/usr/local/lib/libdfftw_threads.a
/usr/local/lib/libdfftw_threads.la
/usr/local/lib/libdfftw_threads.so
/usr/local/lib/libdrfftw.a
/usr/local/lib/libdrfftw.la
/usr/local/lib/libdrfftw.so
/usr/local/lib/libdrfftw_threads.a
/usr/local/lib/libdrfftw_threads.la
/usr/local/lib/libdrfftw_threads.so
/usr/local/lib/libsfftw.a
/usr/local/lib/libsfftw.la
/usr/local/lib/libsfftw.so
/usr/local/lib/libsfftw_threads.a
/usr/local/lib/libsfftw_threads.la
/usr/local/lib/libsfftw_threads.so
/usr/local/lib/libsrfftw.a
/usr/local/lib/libsrfftw.la
/usr/local/lib/libsrfftw.so
/usr/local/lib/libsrfftw_threads.a
/usr/local/lib/libsrfftw_threads.la
/usr/local/lib/libsrfftw_threads.so
